package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.model.TaVisitor;

import java.util.List;

/**
 * @author weichaochao
 * @Title: TaVistorServiceI
 * @Description: 访客相关service
 * @date 2018/11/1
 */
public interface TaVistorServiceI {
    /**
     * 创建访客
     * @param taVisitor
     * @param userElement
     * @return
     */
    ResponseBean insertTaVistor(TaVisitor taVisitor, UserElement userElement);

    /**
     * 访客邀请记录
     * @param communityId
     * @param userId
     * @return
     */
    ResponseBean invateHis(Integer communityId, Integer userId);

    /**
     * 查询 邀请访客车辆 是否开启
     * @param userElement
     * @return
     */
    ResponseBean invateBool(UserElement userElement);
}
