package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;

import java.util.List;

public interface ITaUserService {

    /**
     * 查询 业主/家属/租客 的总数
     *
     * @param
     * @return
     */
    ResponseBean getByUserTypeCount();

    /**
     * 查询所有的 用户
     * @param userName
     * @param loginName
     * @param idCard
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseBean getAll(String userName, String loginName, String idCard, Integer pageNum, Integer pageSize);

    /**
     * 批量拉黑用户
     * @param ids
     * @return
     */
    ResponseBean blacklistTaUser(List<Integer> ids);

}
